<?php
if(!defined('empirecms'))
{
	exit();
}
if(!defined('EPAGECHECKPATH'))
{
	exit();
}

//目錄
$check_pathck=str_replace('.','',$check_path);
$check_pathck=str_replace('/','',$check_pathck);
if($check_pathck<>'')
{
	exit();
}

if(EPAGECHECKPATH!=$check_path)
{
	exit();
}
$check_path=EPAGECHECKPATH;

//扣點
require_once(EPAGECHECKPATH."e/class/connect.php");
if(!defined('InEmpireCMS'))
{
	exit();
}
$check_classid=(int)$check_classid;
$check_groupid=(int)$check_groupid;
$toreturnurl=eReturnSelfPage(0);	//返回頁面地址
$gotourl=$ecms_config['member']['loginurl']?$ecms_config['member']['loginurl']:$public_r['newsurl']."e/member/login/";	//登陸地址
$loginuserid=(int)getcvar('mluserid');
$logingroupid=(int)getcvar('mlgroupid');
if(!$loginuserid)
{
	printerror2('本欄目需要會員級別以上才能查看','');
}
require_once(ECMS_PATH.'e/member/class/user.php');
require_once(ECMS_PATH.'e/data/dbcache/MemberLevel.php');
$link=db_connect();
$empire=new mysqlquery();
$mvguser=islogin();
$mvgresult=eMember_ReturnCheckMVGroup($mvguser,$check_groupid);
if($mvgresult<>'empire.cms')
{
	printerror2('您沒有足夠權限查看此欄目','');
}
?>